// .calendar
.calendar {
  position: relative;
  z-index: 2;

  display: block;

  // .calendar__name
  &__name {
    margin-top: 10px;
    margin-bottom: 30px;

    color: $white;

    font-family: $OpenSans;
    font-size: 28px;
    line-height: 1.2;
  }

  // .calendar__descriptio
  &__description {
    overflow-y: auto;
    flex-grow: 1;

    margin-top: 0;
    margin-bottom: 30px;
    padding-right: 5%;

    color: $white;

    font-family: $OpenSans;
    font-size: 16px;
    line-height: 1.2;
  }

  // .calendar__front
  &__front {
    display: flex;
    flex-direction: column;

    height: 100%;

    .safari {
      @media (width <= 768PX) {
        display: block;
      }
    }
  }

  // .calendar__goback
  &__goback {
    display: flex;
    align-items: center;

    width: 100%;
    max-width: 300px;
    padding: 0;

    cursor: pointer;
    transition: all 0.4s ease-in;

    color: $white;
    border: none;
    outline: none;
    background-color: transparent;

    font-family: $OpenSans;
    font-size: 24px;
    font-weight: bold;
    line-height: 1.2;

    &:active {
      padding-bottom: 10px;
    }

    &:hover {
      margin-left: 20px;
    }

    i {
      margin-right: 20px;
    }
  }

  // .calendar__back
  &__back {
    position: absolute 0 0 0 0;

    display: none;

    width: 100%;

    transform: rotateY(180deg);

    @media (width <= 768PX) {
      position: static;

      //max-height: 45vh;
      margin-bottom: -10px;
    }

    &:after {
      position: absolute 0 0 0 0;

      display: block;

      width: 100%;
      height: 100%;

      content: "";

      box-shadow: inset 0px -300px 400px -100px rgba(0, 0, 0, 0.75);
    }
  }

  // .calendar__date
  &__date {
    display: block;

    margin-top: 30px;
    margin-bottom: 20px;

    text-align: left;

    color: $white;

    font-family: $OpenSans;
    font-size: 24px;
    line-height: 1.2;
  }

  // .calendar__day
  &__day {
    display: block;

    margin-bottom: 30px;

    text-align: left;
    text-transform: capitalize;

    color: $white;

    font-family: $OpenSans;
    font-size: 48px;
    font-weight: 600;
    line-height: 1.2;
  }

  // .calendar__header
  &__header {
    padding-left: 8%;

    background-color: #ff9964;
  }

  // .calendar__body
  &__body {
    display: flex;
    flex-grow: 1;

    background-color: $white;
  }

  // .calendar__datepicker
  &__datepicker {
    width: 100%;

    @media (width <= 768PX) {
      width: 100%;
      height: 95vw;
    }

    // .calendar__datepicker .datepicker
    .datepicker {
      width: 100%;
      height: 100%;
      padding: * 20px;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    // .calendar__datepicker .datepicker-days
    .datepicker-days {
      @media (width <= 768PX) {
        height: 100%;
      }
    }

    // .calendar__datepicker .prev
    // .calendar__datepicker .next
    // .calendar__datepicker .datepicker-switch
    .prev,
    .next,
    .datepicker-switch {
      text-align: center;

      color: $blue;

      font-family: $OpenSans;
      font-size: 20px;
      padding-bottom: 40px;

      @media (width <= 768PX) {
        font-size: 4vw;
      }

      @media (width <= 480PX) {
        font-size: 8vw;
      }
    }

    // .calendar__datepicker .prev
    // .calendar__datepicker .next
    .prev,
    .next {
      cursor: pointer;
    }

    // .calendar__datepicker table.table-condensed
    table.table-condensed {
      width: 100%;
      height: 420px;
      margin: auto;

      text-align: center;

      color: $gray;

      font-family: $OpenSans;
      font-size: 18px;

      @media (width <= 768PX) {
        width: 100%;
        height: 100%;

        font-size: 3vw;
      }

      // .calendar__datepicker table.table-condensed tr
      tr {
        // .calendar__datepicker table.table-condensed tr td.day
        td.day {
          border-bottom: 2px solid transparent;
          // .calendar__datepicker table.table-condensed tr td.new
          // .calendar__datepicker table.table-condensed tr td.old
          &.new,
          &.old {
            color: $lightGray;

            // .calendar__datepicker table.table-condensed tr td.new.active
            // .calendar__datepicker table.table-condensed tr td.old.active
            &.active {
              color: $lightGray;
              border-bottom: 2px solid rgba($blue, 0.5);
            }
          }
          // .calendar__datepicker table.table-condensed tr td.day.today
          &.today {
            color: $white;
            border-radius: 5px;
            background-color: $blue;

            &.active {
              color: $white;
            }
          }

          // .calendar__datepicker table.table-condensed tr td.day.active
          &.active {
            color: $gray;
            border-bottom: 2px solid $blue;

            &:hover {
              cursor: pointer;

              color: $gray;
              border-radius: 0;
              background-color: #f3f3f3;
            }
          }

          &:hover {
            cursor: pointer;

            color: $gray;
            border-radius: 5px;
            background-color: #f3f3f3;
          }
        }
      }
    }
  }


}

// .event
.event {
  position: relative;

  display: block;

  #events {
    overflow-y: auto !important;
  }
  // .event__front
  &__front {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    height: 100%;
    padding-bottom: 20px;

    background-color: $white;

    .window-info__list {
      @media (width <= 768PX) {
        overflow: auto !important;
        max-width: 100%;
        width: 100%;
      }
    }

    .safari & {
      @media (width <= 768PX) {
        display: block;
      }
    }
  }

  // .event__back
  &__back {
    position: absolute 0 0 0 0;

    display: none;
    flex-direction: column;

    width: 100%;
    padding: 30px;

    transform: rotateY(180deg);

    background-color: #1e98b8;

    .btn {
      min-height: 36px;
    }

    .window-btn {
      max-width: 270px;
      margin-left: 0;
    }
  }
}

.no-event {
  font-size: 18px;
  display: block;
  @media (width <= 768PX) {
    font-size: 28px;
  }
  &:hover {
    background-color: $white;
  }
}

.s_w_calendar{
  @media (width <= 1279PX) {
    height: calc(100vh - 15rem)!important;
  }
  @media (width <= 768PX) {
    height: 100%!important;
  }
}

#calendar{
  .content-editor p{
    overflow-y: hidden;
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    margin-top: 0;
    margin-bottom: 3rem;
    padding-right: 5%;
    color: #fff;
    font-family: "Open Sans",sans-serif;
    font-size: 1.6rem;
    line-height: 1.2;
  }
}
